Question for JB pros... regarding reinstall of 5.1.1

Discussion in 'Jailbreaks and iOS Hacks' started by isoft7, May 26, 2012.

  1. isoft7 macrumors 6502a

    Joined:
    Oct 3, 2011
    #1
    Quick question, right now I'm running 5.1.1 jailbroken, I used tinyumbrella to save my shsh files, but lets say Apple releases 5.1.2 and 5.1.1 is no longer being signed...

    Would I then be able to reinstall a clean version of 5.1.1 or once 5.1.2 is released I can never go back?

    ...what software is required?

    Thanks!!! :)
     
  2. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #2
    You didn't say what model iPhone you're using.
    If its a 4S is not that simple.
     
  3. isoft7 thread starter macrumors 6502a

    Joined:
    Oct 3, 2011
    #3
    oh sorry... yep, it's an iPhone 4S.

    I realize that it's hypothetical in that we dont know if/when there will be a 5.1.2, but I thought if I mess up 5.1.1 with a jb edit and have to reinstall 5.1.1 fresh, would it be possible even after apple stops singing that code.

    Thanks again!
     
  4. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #4
    read up and learn about shsh blobs and aptickets and how to save and use it. Of course the best way is not to mess up. tiny umbrella, sn0wbreeze and Redsn0w can all be used Iclarified has the tutorials.
     
  5. isoft7 thread starter macrumors 6502a

    Joined:
    Oct 3, 2011
    #5
    Thanks! So what I am getting is as long as I have saved my 5.1.1 shsh blobs via tinyumbrella, which I did, immediately after a fresh restore, I can then use redsn0w to reinstall a fresh copy of 5.1.1 anytime I want, even after apple stops signing the code.

    Correct at all?

    Thanks again! I appreciate your patience! :)
     
  6. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #6
    Nope, for every other iPhone but the 4S you can do what you said above.
    Since the 4S doesn't have a bootrom exploit you can't.
    The upgrade downgrade trick we were able to do on the 4S with 5.1 down to 5.0.1 with blobs is a software hack that can and probably will be patched by Apple. It's not if but when.
    And once they do even if you have blobs for the 4S you won't be able to restore to older firmware.
     
  7. isoft7 thread starter macrumors 6502a

    Joined:
    Oct 3, 2011
    #7
    Wow, some good info, thanks!

    But I wonder, why are people able to downgrade from 5.1.1 to 5.01 on the 4s? But won't be able to simply reflash 5.1.1 over top itself?
     
  8. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #8
    They can now because Apple hasnt patched that exploit yet.
    So what it actually does is installs a hacked 5.1.1 and then downgrades to 5.0.1 that's all while Apple still signs 5.1.1 and you have blobs for 5.0.1
    If the exploit is still there when 5.1.2 is out for example then you will be able to do the same . But good chances are Apple is going to patch it.
    And even though you can be on a set firmware like 5.1.1 for example you cant just reflash over itself unless Apple still signs that firmware version. And like I said earlier with no bootrom exploit you cant just make a custom ipsw with those saved blobs and restore a 4S. That's for now though, who knows what the future will hold and if/when the hackers will pull some tricks from their sleeves;)
     

Share This Page